org.apache.maven.scm.provider.accurev.commands.checkout

## Class AccuRevCheckOutWorkspaceCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkout.AbstractCheckOutCommand
    - - org.apache.maven.scm.provider.accurev.commands.checkout.AccuRevCheckOutWorkspaceCommand

All Implemented Interfaces:
  Command, BaseAccuRevCheckOutCommand

    public class AccuRevCheckOutWorkspaceCommand
    extends AbstractCheckOutCommand
    implements BaseAccuRevCheckOutCommand

Version:
  $Id: AccuRevCheckOutWorkspaceCommand.java 690992 2008-09-01 15:08:23Z vsiveton $

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AccuRevCheckOutWorkspaceCommand(String executable)`

### Method Summary

Methods
`protected org.codehaus.plexus.util.cli.Commandline` `createMakeWorkspaceCommandLine(AccuRevScmProviderRepository repository, ScmFileSet fileSet, ScmVersion version)`
`protected org.codehaus.plexus.util.cli.Commandline` `createUpdateWorkspaceCommand(AccuRevScmProviderRepository repository, ScmFileSet fileSet, ScmVersion version)`
`protected CheckOutScmResult` `executeCheckOutCommand(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion version, boolean recursive)` Execute Check out command line.
`String` `getMethodName()`

### Methods inherited from class org.apache.maven.scm.command.checkout.AbstractCheckOutCommand

`executeCheckOutCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### AccuRevCheckOutWorkspaceCommand

    public AccuRevCheckOutWorkspaceCommand(String executable)

### Method Detail

#### getMethodName

    public String getMethodName()

Specified by:
  `getMethodName` in interface `BaseAccuRevCheckOutCommand`

#### executeCheckOutCommand

    protected CheckOutScmResult executeCheckOutCommand(ScmProviderRepository repository,
                                           ScmFileSet fileSet,
                                           ScmVersion version,
                                           boolean recursive)
                                                throws ScmException

Execute Check out command line.

Specified by:
  `executeCheckOutCommand` in class `AbstractCheckOutCommand`
Parameters:
  `repository` - not null
  `fileSet` - not null
  `version` - not null
  `recursive` - `true` if recursive check out is wanted, `false` otherwise.
Returns:
  the checkout result
Throws:
  `ScmException` - if any

#### createUpdateWorkspaceCommand

    protected org.codehaus.plexus.util.cli.Commandline createUpdateWorkspaceCommand(AccuRevScmProviderRepository repository,
                                                                        ScmFileSet fileSet,
                                                                        ScmVersion version)

#### createMakeWorkspaceCommandLine

    protected org.codehaus.plexus.util.cli.Commandline createMakeWorkspaceCommandLine(AccuRevScmProviderRepository repository,
                                                                          ScmFileSet fileSet,
                                                                          ScmVersion version)